goreTest {PMCMRplus} | R Documentation

## Gore Test

### Description

Performs Gore's test. The null hypothesis H_0: θ_i = θ_j~~(i \ne j) is tested against the alternative H_{\mathrm{A}}: θ_i \ne θ_j, with at least one inequality beeing strict.

### Usage

    goreTest(y, groups, blocks)

### Arguments

`y` | a numeric vector of data values.
`groups` | a vector or factor object giving the group for the corresponding elements of `"y"`.
`blocks` | a vector or factor object giving the group for the corresponding elements of `"y"`.

### Details

The function has implemented Gore's test for testing main effects in unbalanced CRB designs, i.e. there are one ore more observations per cell. The statistic is assymptotically chi-squared distributed.

### Value

A list with class `"htest"` containing the following components:

method

  a character string indicating what type of test was performed.

data.name

  a character string giving the name(s) of the data.

statistic

  the estimated quantile of the test statistic.

p.value

  the p-value for the test.

parameter

  the parameters of the test statistic, if any.

alternative

  a character string describing the alternative hypothesis.

estimates

  the estimates, if any.

null.value

  the estimate under the null hypothesis, if any.

### References

Gore, A. P. (1975) Some nonparametric tests and selection procedures for main effects in two-way layouts. Ann. Inst. Stat. Math. 27, 487–500.

### See Also

`friedmanTest`, `skillingsMackTest`, `durbinTest`

### Examples

    ## Crop Yield of 3 varieties on two
    ## soil classes
    X <-c("130,A,Light
    115,A,Light
    123,A,Light
    142,A,Light
    117,A,Heavy
    125,A,Heavy
    139,A,Heavy
    108,B,Light
    114,B,Light
    124,B,Light
    106,B,Light
    91,B,Heavy
    111,B,Heavy
    110,B,Heavy
    155,C,Light
    146,C,Light
    151,C,Light
    165,C,Light
    97,C,Heavy
    108,C,Heavy")
    con <- textConnection(X)
    x <- read.table(con, header=FALSE, sep=",")
    close(con)
    colnames(x) <- c("Yield", "Variety", "SoilType")
    goreTest(y = x$Yield, groups = x$Variety, blocks = x$SoilType)

[Package PMCMRplus version 1.6.1 Index]